<ng-container *appVar="(isLoading$ | async) as isLoading">
  <ng-container *appVar="(hasErrors$ | async) as hasErrors">
    <div class="title-h2">
      Вход в личный кабинет
    </div>
    <mat-error *ngIf="hasErrors">
      Не удается войти в аккаунт
    </mat-error>

    <form [formGroup]="form"
          (ngSubmit)="handleFormSubmit()"
          class="sign-in-form">
      <mat-form-field>
        <mat-label>Логин</mat-label>

        <input matInput
               formControlName="login"
               type="text"
               placeholder="Введите ваш логин">

        <mat-error *ngIf="form.controls.login.invalid && form.controls.login.touched">
          Значение не указано
        </mat-error>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Пароль</mat-label>

        <input matInput
               formControlName="password"
               type="password"
               placeholder="Введите пароль">

        <mat-error *ngIf="form.controls.password.invalid && form.controls.password.touched">
          Значение не указано
        </mat-error>
      </mat-form-field>

      <button type="submit"
              mat-flat-button
              [disabled]="isLoading"
              color="primary"
      >
        Войти
      </button>

      <mat-divider></mat-divider>

      <a mat-button
         [routerLink]="createProfileLinkOptions"
         color="primary"
      >
        Зарегистрироваться
      </a>
    </form>
  </ng-container>
</ng-container>
